LFR-FSW - Bug #407

R3 *** TM_LFR_SCIENCE_NORMAL_BP2_Fi : octet 18 not equal to 0x0
06/05/2015 08:53 AM - Veronique bouzid

Status: Closed Start date: 06/05/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Le script utilisé se trouve dans /home/validation/SCRIPT/R3/just_normal_mode.py

Les TM_LFR_SCIENCE_NORMAL_BP2_FO0, TM_LFR_SCIENCE_NORMAL_BP2_F1,TM_LFR_SCIENCE_NORMAL_BP2_F2 sont
concernés par cette anomalie

I'octet 18 des paquet n'est pas initialisé a 0.

15:18:49.615096, * 32, TM_LFR_SCIENCE_NORMAL_BP2_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET
- 0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=13, (PACKET_SEQUENCE_CONTROL=0xc00d), PACKET LENGTH=351,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000001684b1, PA_LFR_SID_PKT:
SC_N_BP2_F0 =19, PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_ MODE_HV_ENABLED: DISABLED = 0,

PA BIA_ MODE_BIAS1 ENABLED: DISABLED = 0, PA_BIA_ MODE_BIAS2_ENABLED: DISABLED = 0,

PA BIA_ MODE_BIAS3 ENABLED: DISABLED = 0, PA_BIA_ ON_OFF: OFF = 0, *SPARE=0x39¢c, SY_LFR_BW-=1,
SY_LFR_SP0=0, SY_LFR SP1=0, SY_LFR_R0=0, SY LFR R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x8000001684b1, PA LFR_N_BP2 BLK_NR_F0=11

et
15:18:49.618751, * 32, TM_LFR_SCIENCE_NORMAL_BP2_F1, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET
- 0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=15, (PACKET SEQUENCE_CONTROL=0xc00f), PACKET LENGTH=411,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT FIXED LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000001684b1, PA_LFR_SID_PKT:
SC_N_BP2_F1 = 20, PA_BIA_MODE_MUX_SET: SET 0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0x3f0, SY_LFR_BW-=1,

SY_LFR _SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR R1=0, SY_LFR_R2-0,
PA_LFR_ACQUISITION_TIME=0x8000001684b1, PA_ LFR_N_BP2 BLK_NR_F1=13

15:18:49.633721, * 32, TM_LFR_SCIENCE_NORMAL_BP2_F2, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET
- 0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=17, (PACKET_SEQUENCE_CONTROL=0xc011), PACKET LENGTH=381,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT_FIXED LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000001685a6, PA_LFR_SID_PKT:
SC_N_BP2_F2 =21, PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_ MODE_HV_ENABLED: DISABLED = 0,

PA BIA_ MODE_BIAS1 ENABLED: DISABLED = 0, PA_BIA_ MODE_BIAS2 _ENABLED: DISABLED = 0,

PA BIA_ MODE_BIAS3 ENABLED: DISABLED = 0, PA_BIA_ ON_OFF: OFF = 0, *SPARE=0x5¢c, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR R0=0, SY LFR_R1=0, SY LFR_R2-0, PA_ LFR_ACQUISITION_TIME=0x8000001685a6,
PA_LFR_N_BP2 BLK_NR_F2=12

Contexte de test

FSW 3.0.0.0

VHDL 0..1.68

Mini-Ifr 11

SocExplorer 0.6.0
StarDundee spacewire
History

#1 - 18/05/2015 10:45 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

corrected in version >= 3.0.0.1

#2 - 05/06/2015 04:12 PM - Veronique bouzid

- Status changed from Resolved to Closed

Le bug est corrigé.
Le script /home/validation/SCRIPT/R3/just_normal_mode.py a été rejoué dans le dernier environnement de test.

15:01:39.939422, TM_LFR_SCIENCE_NORMAL_BP2_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=49, (PACKET SEQUENCE_CONTROL=0xc031), PACKET LENGTH=351, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x80000012dc0a, PA_LFR_SID_PKT: SC_N_BP2_F0 = 19, PA_BIA_MODE_MUX_SET: SET 0 =0,

PA BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1 ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x80000012dc0a,

PA_LFR_N_BP2 BLK_NR_FO=11

et
15:05:19.983027, TM_LFR_SCIENCE_NORMAL_BP2_F1, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=748, (PACKET SEQUENCE_CONTROL=0xc2ec), PACKET LENGTH=411, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x800000eedbc0, PA_LFR_SID_PKT: SC_N_BP2_F1 = 20, PA_BIA_MODE_MUX_SET: SET 0 =0,

PA BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1 ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x800000eedbc0,

PA_LFR_N_BP2 BLK NR F1=13

et
15:05:20.018742, TM_LFR_SCIENCE_NORMAL_BP2_F2, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=753, (PACKET SEQUENCE_CONTROL=0xc2f1), PACKET LENGTH=381, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x800000eedca5, PA_LFR_SID_PKT: SC_N_BP2_F2 = 21, PA_BIA_MODE_MUX_SET: SET 0 =0,

PA BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1 ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x800000eedca5,

PA_LFR_N_BP2 BLK NR_F2=12

les fichiers de log (2015_06_05-15_13_50-*) sont rangés dans le répertoire /home/validation/data/R3

Contexte de test

FSW 3.0.0.3

VHDL 1.1.83

EM1 sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee spacewire
